# SDK Reference

Dive into the specifics of each SDK method by checking out our complete documentation.

## connectNetwork

Connecting to the Solana network:

{% content-ref url="/pages/d4p0EHH04o2sn8XdyjUR" %}
[connectNetwork](/reference/sdk-reference/connect-network.md)
{% endcontent-ref %}

## connectWallet

Connecting to the user's wallet:

{% content-ref url="/pages/nNOzUMOzm9uho09fkFZ1" %}
[connectWallet](/reference/sdk-reference/connect-wallet.md)
{% endcontent-ref %}

## sendSolanaLamports

Sending Solana lamports (recommended):

{% content-ref url="/pages/v8BU1D7B7pmsezBpBDy8" %}
[sendSolanaLamports](/reference/sdk-reference/send-solana-lamports.md)
{% endcontent-ref %}

## sendSolana

Sending Solana (not recommended):

{% content-ref url="/pages/EpCPHFaVV6qQGvFZyWoE" %}
[sendSolana](/reference/sdk-reference/send-solana.md)
{% endcontent-ref %}

## sendTokens

Sending an SPL token in terms of it's lowest denomination (recommended):

{% content-ref url="/pages/3bwXc9FPPHtlQjuV1ZxG" %}
[sendTokens](/reference/sdk-reference/send-tokens.md)
{% endcontent-ref %}

## sendTokensDecimal

Sending an SPL token in a decimal amount (not recommended):

{% content-ref url="/pages/KbmJ7i50xY9HkmiVecz3" %}
[sendTokensDecimal](/reference/sdk-reference/send-tokens-decimal.md)
{% endcontent-ref %}

## signTransaction

Signing a transaction with multiple instructions:

{% content-ref url="/pages/rJWbhZZww2vzDa1TIoDM" %}
[signTransaction](/reference/sdk-reference/sign-transaction.md)
{% endcontent-ref %}

## broadcastSerializedTransaction

Broadcasting the serialized transaction from `signTransaction` to be confirmed on the Solana network:

{% content-ref url="/pages/mBBSe4bg1GthVrfF2QJR" %}
[broadcastSerializedTransaction](/reference/sdk-reference/broadcast-serialized-transaction.md)
{% endcontent-ref %}

## signMessage

Signing a message using the user's private key:

{% content-ref url="/pages/fulOWzps9RvzlJy6EH6H" %}
[signMessage](/reference/sdk-reference/sign-message.md)
{% endcontent-ref %}

## getBalance

Getting the Solana lamports balance of an account:

{% content-ref url="/pages/t1QyzimyTXQSXEopCX9G" %}
[getBalance](/reference/sdk-reference/get-balance.md)
{% endcontent-ref %}

## getTokenBalances

Getting all of the token balances held by a Solana account:

{% content-ref url="/pages/quahjYU9HFgEv6m67B5K" %}
[getTokenBalances](/reference/sdk-reference/get-token-balances.md)
{% endcontent-ref %}

## getAccountInfo

Getting the info for an account:

{% content-ref url="/pages/y1FerhD3Vvq7DdkWsgtL" %}
[getAccountInfo](/reference/sdk-reference/get-account-info.md)
{% endcontent-ref %}

## getAssociatedTokenAddress

Getting the associated token address of an account:

{% content-ref url="/pages/PWYXYgYwoLVfPnj4ALPM" %}
[getAssociatedTokenAddress](/reference/sdk-reference/get-associated-token-address.md)
{% endcontent-ref %}

## getTokenBalance

Getting the balance for a token held by a Solana account:

{% content-ref url="/pages/rJcnOusSQB9qPLhvWo6q" %}
[getTokenBalance](/reference/sdk-reference/get-token-balance.md)
{% endcontent-ref %}

## tokens.getData

Getting the raw data of a token:

{% content-ref url="/pages/8RCuavIy3QmRjJ95JTTG" %}
[tokens.getData](/reference/sdk-reference/tokens-get-data.md)
{% endcontent-ref %}

## tokens.getTags

Getting a list of SPL token registry tags and their descriptions:

{% content-ref url="/pages/YIQgR491YUcLSQROyPis" %}
[tokens.getTags](/reference/sdk-reference/tokens-get-tags.md)
{% endcontent-ref %}

## tokens.getToken

Getting the SPL token metadata from the SPL token registry:

{% content-ref url="/pages/yfEpRbDqaiOWqYdEIkk4" %}
[tokens.getToken](/reference/sdk-reference/tokens-get-token.md)
{% endcontent-ref %}

## tokens.search

Searching for an SPL token in the SPL token registry:

{% content-ref url="/pages/LPjpgu9ViYZPty72mkgQ" %}
[tokens.search](/reference/sdk-reference/tokens-search.md)
{% endcontent-ref %}

## tokens.getRawUnvalidatedList

Getting the raw, unvalidated list of tokens in the SPL token registry:

{% content-ref url="/pages/I1JMCbuxrsSPg6lbhJmY" %}
[tokens.getRawUnvalidatedList](/reference/sdk-reference/tokens-get-raw-unvalidated-list.md)
{% endcontent-ref %}

## adapters

Using adapters to connect to a wallet:

{% content-ref url="/pages/IiF6VLRSe1XEQWdIy9Lu" %}
[adapters](/reference/sdk-reference/adapters.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://solpay-docs.solblaze.org/reference/sdk-reference.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
